=== libraries/hpc/tests/ghc_ghci/Makefile ===
# This Makefile runs the tests using GHC's testsuite framework.  It
# assumes the package is part of a GHC build tree with the testsuite
# installed in ../../../testsuite.

TOP=../../../../testsuite
include $(TOP)/mk/boilerplate.mk
include $(TOP)/mk/test.mk

hpc_ghc_ghci:
	rm -f A.o A.hi
	'$(TEST_HC)' -fhpc -c A.hs
	echo b | '$(TEST_HC)' -ignore-dot-ghci -v0 --interactive B.hs
