=== debian/changelog ===
ghc (7.0.3-1ubuntu1) oneiric; urgency=low

  * debian/control:
    + Build-Depend on ghc6 instead of ghc as the latter isn't available yet —
    it's what we're building now ;-) 
    + Remove ghc6* transitional packages. Could cause issues while ghc has to
    build-depend on ghc6. Once we know ghc has built we can revert all of the
    changes in this upload.

 -- Iain Lane <laney@ubuntu.com>  Fri, 06 May 2011 19:47:31 +0100

ghc (7.0.3-1) unstable; urgency=low

  * Remove Build-Conflict on dash, as a fixed package has been uploaded. 
  * Do not provide utf8-string or xhtml, as they are only built internally. 
  * Remove Build-Depend alternative ghc6, and also remove Provides: ghc6, as
    this is a lie and I see no techical reason for it.
  * New upstream release
  * Avoid "hPutChar: resource vanished" message and simplify postinst script
    (Closes: #619403)
  * Remove package cache in prerm, even on upgrade. This is the right thing to
    do if upgrading to a new upstream release, and does not hurt in the other
    cases.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Apr 2011 21:43:15 +0530

ghc (7.0.2-7) unstable; urgency=low

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 Mar 2011 21:45:53 +0530

ghc (7.0.2-6) experimental; urgency=low

  * Set a dummy HOME variable upon build. Some build daemons do not set HOME,
    but ghc-cabal expects it to be available.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 25 Mar 2011 12:47:29 +0530

ghc (7.0.2-5) experimental; urgency=low

  * Build-Conflict with broken version of dash (See #618023)
  * Link ghc-doc to haddock via virtual package "haddock-interface-<n>"
  * Remove redundand Build-dependency on autoconf 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 23 Mar 2011 12:03:56 +0530

ghc (7.0.2-4) experimental; urgency=low

  * ghc6-preinst: Remove package.cache file of any ghc6 installation to avoid
    dpkg warning at upgrade time.
  * Build-conflict with ccache. pbuilder installs ccache by default, which
    causes ghc to pick up a wrong path for "gcc". 
  * Pass -lpthread everywhere. This can possibly be dropped later. 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 11 Mar 2011 14:00:11 +0530

ghc (7.0.2-3) experimental; urgency=low

  [ Iain Lane ]
  * debian/rules: Build with -mminimal-toc on ppc64 — thanks to Colin
    Watson for investigation and patch.

  [ Joachim Breitner ]
  * Disable the use of epoll_create1 and use epoll_create, as the former is
    not available on Linux kernels earlier than 2.6.27.
    http://hackage.haskell.org/trac/ghc/ticket/5005

 -- Joachim Breitner <nomeata@debian.org>  Wed, 09 Mar 2011 21:44:50 +0530

ghc (7.0.2-2) experimental; urgency=low

  [ Joachim Breitner ]
  * Remove procps dependency (watcher.hs has been removed since a while)
  * Build-depend and depend on libgmp-dev instead of libgmp3-dev.

  [ Erik de Castro Lopo ]
  * Add patch to fix powerpc compile error (powerpc-compile-616635)
    (Closes: #616635)

  [ Joachim Breitner ]
  * fix FTBFUS by removing left-over binaries

 -- Joachim Breitner <nomeata@debian.org>  Tue, 08 Mar 2011 13:01:18 +0530

ghc (7.0.2-1) experimental; urgency=low

  * (Closes: 554174) Segfaults at startup not observable any more
  * Tweak debian/copyright
  * New upstream release (Should help to close 616494)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Mar 2011 22:04:21 +0530

ghc (7.0.1-1) experimental; urgency=low

  [ Joachim Breitner ]
  * New upstream release, some patches included.
  * Package adopted by the Debian Haskell Group. Thanks to kaol for his
    work!
  * Rename source and binary packages to ghc, include transitional dummy
    package
  * Standards-Version 3.9.1 (no changes necessary)

  [ Erik de Castro Lopo ]
  * Re-enable building of ghci on powerpc. (Closes: 557185)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 17 Jan 2011 12:49:24 +0530

ghc6 (6.12.3-1) experimental; urgency=low

  * New upstream release
    * ghci :m now works with module names containing ' (Closes: #580568)
  * Put haddock and the shared libraries into their own packages.
    (Closes: #571537)
  * Only insert packages in gen_contents_index which are both registered
    and for which the html directory exists.
  * Use ghc-pkg --global in ghc6's trigger to avoid accessing HOME.
    (Closes: #578679)
  * Fix directories in haddock manpage.  (Closes: #578321)
  * Apply some patches from Gentoo (thanks, Sergei Trofimovich) hopefully
    fixing ia64 build.
  * Downgrade ghc6's dependency on perl to Suggests and have ghc6-doc
    depend on perl.  (Closes: #553332)
  * Standards-Version 3.9.0 (no changes necessary)
  * ghc6 package now provides ghc6-ghci on architectures where it's
    supported (i386 and amd64 only currently).

 -- Kari Pahula <kaol@debian.org>  Tue, 20 Jul 2010 19:19:20 +0300

ghc6 (6.12.1-13) unstable; urgency=low

  * Remove debian/watcher.sh.  (Closes: #571824)
  * Don't ship /var/lib/ghc-6.12.1/package.conf.d/package.cache with ghc6.
    (Closes: #574417)
  * Patch compiler/rename/RnSource.lhs to make hlist happy.
  * Remove some more generated .hc files in debian/rules clean.
  * Don't ship broken symlink /usr/lib/ghc-6.12.1/package.conf

 -- Kari Pahula <kaol@debian.org>  Sat, 17 Apr 2010 10:35:25 +0300

ghc6 (6.12.1-12) unstable; urgency=low

  * Fix the kfreebsd-* patch.
  * Don't die in ghc6's trigger if ghc-pkg check fails.  (Closes: #570921)
  * Recognise DEB_BUILD_OPTIONS=parallel.

 -- Kari Pahula <kaol@debian.org>  Mon, 22 Feb 2010 15:08:48 +0200

ghc6 (6.12.1-11) unstable; urgency=low

  * Add "unset LC_ALL\nexport LC_CTYPE=en_US" to bin/ghc wrapper on ia64.
  * Actually append GhcWithInterpreter=YES to mk/build.mk on kfreebsd-*,
    don't just echo it to stdout.

 -- Kari Pahula <kaol@debian.org>  Mon, 22 Feb 2010 03:24:02 +0200

ghc6 (6.12.1-10) unstable; urgency=low

  * Use dh_haskell_depends from haskell-devscripts to create provides
    including the packages ABI.

